#include "array.h"
/* define functions*/

/* define the binary search algorithm*/
int binary_search(int arr[], int target_value, int length_array)
{
	int start_index = 0;
	int end_index = length_array - 1;
	int mid_index;
	int flag_val = 0;

	while (start_index <= end_index && !flag_val)
	{
		mid_index = (start_index + end_index) / 2;

		if (arr[mid_index] == target_value) { flag_val = 1; }
		else if (arr[mid_index] < target_value) { start_index = mid_index + 1;}
		else { end_index = mid_index - 1; }
	}

	if (flag_val == 1) { return mid_index; }
	else { return -1; }
}